Bug 117032 - SIDEBAR: Chart's title and subtitle are not hidden when the checkbox are disabled
Summary: SIDEBAR: Chart's title and subtitle are not hidden when the checkbox are disa...
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Onur Yılmaz
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
: 112083 (view as bug list)
Depends on:
Blocks: Chart-Sidebar
  Show dependency treegraph
 
Reported: 2018-04-16 09:03 UTC by Xisco Faulí
Modified: 2020-02-11 12:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-04-16 09:03:06 UTC
Steps to reproduce:
1. Open Writer
2. Insert a Chart
3. Click somewhere outside the chart
4. Double click on the chart
5. Show the sidebar and click on title or subtitle
6. Click again on title or subtitle

Observed behaviour: the title or subtitle are not hidden.

Version: 6.1.0.0.alpha0+
Build ID: 24a57e2b854a1b8b3b8533ac72a6614ee29e374a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2018-04-16 09:05:36 UTC
Regression introduced by:

author	Feyza Yavuz <feyzaayavuz@gmail.com>	2016-05-01 17:28:07 +0300
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2016-05-08 20:20:40 +0000
commit	0ab7ad3bb0138c2614f66dba8af39cabe760f910 (patch)
tree	bf0e975fe8255c2129c297dfd8a5f7b9cfdd6abc
parent	dc464bdb08cf6a3a3b118245b6eecbda5e94fb42 (diff)
tdf#92768 Support hiding title objects

Bisected with: bibisect-linux-64-5.2

Adding Cc: to Feyza Yavuz
Comment 2 Xisco Faulí 2018-04-16 09:06:38 UTC
*** Bug 112083 has been marked as a duplicate of this bug. ***
Comment 3 QA Administrators 2019-04-17 02:58:26 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug